API referenceDatabases
Update
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
databaseId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/workspaces/string/databases/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "workspaceId": "string", "itemId": "string", "parentItemId": "string", "key": "string", "label": "string", "description": "string", "icon": "string", "order": 0, "settings": {}, "recordLayout": { "version": 1, "pageWidth": "default", "propertyColumns": 1, "propertyDensity": "comfortable", "propertyOrder": [ "string" ], "hiddenFieldKeys": [ "string" ], "sections": [ { "id": "string", "label": "string", "fieldKeys": [ "string" ] } ], "contentPosition": "before_properties", "showComments": true, "showActivity": true }, "archived": true, "fields": [ { "id": "string", "workspaceId": "string", "databaseId": "string", "key": "string", "label": "string", "kind": "text", "required": true, "options": [ { "id": "string", "key": "string", "name": "string", "color": "string", "order": 0 } ], "settings": {}, "order": 0, "createdAt": "string", "updatedAt": "string" } ], "views": [ { "id": "string", "workspaceId": "string", "databaseId": "string", "key": "string", "label": "string", "kind": "table", "manifest": {}, "ownerUserId": "string", "scope": "shared", "locked": true, "definitionVersion": 0, "createdAt": "string", "updatedAt": "string" } ], "createdAt": "string", "updatedAt": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}